org.deidentifier.arx.aggregates

## Class HierarchyBuilderGroupingBased.Group<U>

- java.lang.Object
- - org.deidentifier.arx.aggregates.HierarchyBuilderGroupingBased.Group<U>

Type Parameters:
  `U` -

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  HierarchyBuilderGroupingBased<T>

    public static class HierarchyBuilderGroupingBased.Group<U>
    extends java.lang.Object
    implements java.io.Serializable

This class represents a fanout parameter.

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`AggregateFunction<U>` `getFunction()`
`int` `getSize()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getFunction

    public AggregateFunction<U> getFunction()

Returns:
  the function

#### getSize

    public int getSize()

Returns:
  the size

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`